e TB Manager Bangladesh - Bug #931

A lot of execution Errors are happening (Unexpected errors)
10/03/2013 05:43 PM - Mauricio Dos Santos

Status: Closed Start date: 10/03/2013
Priority: Normal Due date:

Assignee: Ricardo Memoria % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

| am receiving many unexpected errors from bangladesh server.

In conference calls with Gustavo and Ricardo, we decided to update bangladesh etbmanager version. If this don't solves the errors,
than, we will investigate it more deeply.

So, in this moment we are waiting Ricardo update their etbomanager version.

History

#1 - 10/08/2013 11:12 AM - Mauricio Dos Santos

Many bugs was resolved before the updating:

- Check box on case index bug

- Bugs on Tb reports

A script was developed to make the bangladesh database compatible with the new version.

The version has been updated today.

I will keep watching the email notifications by one month.

#2 - 10/15/2013 11:38 AM - Mauricio Dos Santos

- Status changed from In Progress to Resolved

The version in Bangladesh has been updated last week by Ricardo. The number of unexpected erros has decrease significantly... The following 4
erros happenned some times... See the error log summary and the investigation result:

/custom/bd/cases/casedataedt.xhtml @33,72 value="#{tbcase.patient.gender}": Target Unreachable, identifier 'tbcase’ resolved to null
Stack Trace: javax.el.PropertyNotFoundException: /custom/bd/cases/casedataedt.xhtml @33,72 value="#{tbcase.patient.gender}": Target
Unreachable, identifier 'tbcase' resolved to null

Investigation: | couldn't reproduce this error... Talking with Ricardo we concluded that it maybe is a bug of Jboss Seam, seeing that it happens
sometimes on the page specified above.

Index: 0, Size: 0

Stack Trace: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

at java.util.ArrayList.RangeCheck(ArrayList.java:547)

at java.util.ArrayList.get(ArrayList.java:322)

at org.msh.tb.transactionlog.TransactionLogService.translateRole(Unknown Source)
at org.msh.tb.transactionlog. TransactionLogService.save(Unknown Source)

at org.msh.tb.EntityHomeEx.saveTransactionLog(Unknown Source)

at org.msh.tb.EntityHomeEx.remove(Unknown Source)

at org.msh.tb.cases.exams.ExamHome.remove(Unknown Source)

at org.msh.tb.cases.exams.MedicalExaminationHome.remove(Unknown Source)

Investigation: It was found an inconsistence on bangladesh database, the role "CASE_MED_EXAM" doesn't exists in the database, and it is causing
that error. Ricardo will include this role in the database.

Exception: javax.el.PropertyNotFoundException

Exception message: /layout/dateedit.xhtml @22,27 value="#{datefield}": /custom/bd/cases/edtmedexam.xhtml @29,72
value="#{medicalExaminationBd.date}": Target Unreachable, identifier 'medicalExaminationBd' resolved to nu

Stack Trace: javax.el.PropertyNotFoundException: /layout/dateedit.xhtml @22,27 value="#{datefield}": /custom/bd/cases/edtmedexam.xhtml
@29,72 value="#{medicalExaminationBd.date}": Target Unreachable, identifier 'medicalExaminationBd' resolved to null

at com.sun.facelets.el. TagValueExpression.getType(TagValueExpression.java:62)

at org.richfaces.renderkit.CalendarRendererBase.getConvertedValue(CalendarRendererBase.java:161)

Investigation: | couldn't reproduce this error... Talking with Ricardo we concluded that it maybe is a bug of Jboss Seam, seeing that it happens
sometimes on the page specified above.

Exception: java.lang.NullPointerException

Exception message: Ne-message-inexeeption

Stack Trace: java.lang.NullPointerException

at org.msh.tb.bd.QuarterStockPositionReport.updateQuarterReport(Unknown Source)

at org.msh.tb.bd.QuarterStockPositionReport.refresh(Unknown Source)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(NativeMethodAccessorimpl.java:39)

Investigado: When the configuration of expired medicine type on the workspace is empty this error happens. It has been properlly configurated and
the error doesn't happens anymore.

#3 - 12/11/2013 08:07 AM - Ricardo Memoria

- Status changed from Resolved to Closed
